/**
 * 
 */
package org.vcs.bazaar.eclipse;

import org.eclipse.core.runtime.Preferences;
import org.junit.BeforeClass;
import org.vcs.bazaar.client.BazaarClientPreferences;
import org.vcs.bazaar.client.BazaarPreference;
import org.vcs.bazaar.client.IBazaarClient;
import org.vcs.bazaar.client.utils.BazaarUtilities;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;

/**
 * @author Guillermo Gonzalez <guillo.gonzo@gmail.com>
 *
 */
public abstract class AbstractCoreTestCase {
	
	private IBazaarClient client;

	@BeforeClass
	public static void initialize() {
		final Preferences prefs = EclipseBazaarCore.getDefault().getPluginPreferences();
		if(!EclipseBazaarCore.getDefault().isClientAvailable()) {
			BazaarUtilities.configureBazaarClient(AbstractCoreTestCase.class, "/tests.properties");
			final BazaarClientPreferences clientPrefs = BazaarClientPreferences.getInstance();
			prefs.setValue(BazaarPreference.EXECUTABLE.name(), clientPrefs.getString(BazaarPreference.EXECUTABLE));
			prefs.setValue(BazaarPreference.BZR_EMAIL.name(), clientPrefs.getString(BazaarPreference.BZR_EMAIL));
			prefs.setValue(BazaarPreference.BZR_XMLRPC_PORT.name(), clientPrefs.getString(BazaarPreference.BZR_XMLRPC_PORT));
		}
	}
	
	/**
	 * Get (and create as needed) a {@link IBazaarClient}
	 * @return {@link IBazaarClient}
	 * @throws BazaarException 
	 */
	public IBazaarClient getClient() throws BazaarException {
		if(client == null) {
			client = EclipseBazaarCore.getDefault().createClient();
		}
		return client;
	}
}
