package org.vcs.bazaar.eclipse;

import java.io.IOException;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.IWorkspaceRoot;
import org.eclipse.core.resources.ResourcesPlugin;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.NullProgressMonitor;
import org.vcs.bazaar.client.testUtils.ExpectedWorkingTree;

public class WorkspaceUtil {

	public static IProject createProject(String name) throws CoreException {
		IWorkspaceRoot workspaceRoot = ResourcesPlugin.getWorkspace().getRoot();
		IProject project = workspaceRoot.getProject(name);
		if(project.exists()) {
			project.delete(true, new NullProgressMonitor());
		}
		project.create(null);
		project.open(null);
		return project;
	}
	
	public static void populate(IProject project, ExpectedWorkingTree wt) throws IOException {
		wt.materialize(project.getLocation().toFile());
	}
}
