package org.vcs.bazaar.eclipse.core.listeners;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.core.resources.IResource;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 * 
 * @author Guillermo Gonzalez <guillo.gonzo@gmail.com>
 *
 */
public class BzrChangeStateEventTest {

	@Test
	public void testGetType() {
		Collection<IResource> resources = new ArrayList<IResource>(0);
		BzrChangeStateEvent event = new BzrChangeStateEvent(this, resources, BzrChangeStateEvent.BRANCH_STATE_MODIFY);
		assertEquals(BzrChangeStateEvent.BRANCH_STATE_MODIFY, event.getType());
		event = new BzrChangeStateEvent(this, resources, BzrChangeStateEvent.BRANCH_STATE_MODIFY|BzrChangeStateEvent.WT_STATE_MODIFY);
		assertEquals(BzrChangeStateEvent.BRANCH_STATE_MODIFY, event.getType()&BzrChangeStateEvent.BRANCH_STATE_MODIFY);
		assertEquals(BzrChangeStateEvent.WT_STATE_MODIFY, event.getType()&BzrChangeStateEvent.WT_STATE_MODIFY);
		assertTrue((event.getType()&BzrChangeStateEvent.WT_STATE_MODIFY) > 0);
		assertTrue((event.getType()&(BzrChangeStateEvent.WT_STATE_MODIFY|BzrChangeStateEvent.BRANCH_STATE_MODIFY)) > 0);
		assertFalse((event.getType()&BzrChangeStateEvent.RESOURCE_MODIFY) > 0);
	}

}
