/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse;

import org.eclipse.core.runtime.Preferences;
import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.vcs.bazaar.client.BazaarPreference;

/**
 * 
 * @author Guillermo Gonzalez
 * 
 */
public class PreferenceInitializer extends AbstractPreferenceInitializer {

	public PreferenceInitializer() {
		super();
	}

	public void initializeDefaultPreferences() {
		Preferences prefs = EclipseBazaarCore.getDefault().getPluginPreferences();
		prefs.setDefault(IBazaarCoreConstants.PREF_RECURSIVE_STATUS_UPDATE, true);
		prefs.setDefault(IBazaarCoreConstants.LOG_REVISION_LIMIT, 200);
		prefs.setDefault(BazaarPreference.EXECUTABLE.name(), "");
		prefs.setDefault(BazaarPreference.BZR_EMAIL.name(), System.getProperty("user.name"));
		prefs.setDefault(BazaarPreference.BZR_PLUGIN_PATH.name(), "");
	}

}
