/**
 * 
 */
package org.vcs.bazaar.eclipse.core;

import org.eclipse.core.resources.ISaveContext;
import org.eclipse.core.resources.ISaveParticipant;
import org.eclipse.core.runtime.CoreException;
import org.vcs.bazaar.client.IBazaarClient;
import org.vcs.bazaar.client.xmlrpc.XmlRpcClient;
import org.vcs.bazaar.eclipse.EclipseBazaarCore;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;

/**
 * @author Guillermo Gonzalez <guillo.gonzo@gmail.com>
 *
 */
public class BzrSaveParticipant implements ISaveParticipant {

	
	public void doneSaving(ISaveContext context) {
		IBazaarClient client;
		try {
			client = EclipseBazaarCore.getDefault().createClient();
			if(client instanceof XmlRpcClient && context.getKind() == ISaveContext.FULL_SAVE) {
				((XmlRpcClient)client).stopXmlRpcService();
			}
		} catch (BazaarException e) {
			EclipseBazaarCore.log(e);
		} catch (Exception e) {
			EclipseBazaarCore.log(e.getMessage(), e);
		}
	}

	public void prepareToSave(ISaveContext context) throws CoreException {
		// TODO Auto-generated method stub

	}

	public void rollback(ISaveContext context) {
		// TODO Auto-generated method stub

	}

	public void saving(ISaveContext context) throws CoreException {
		// TODO Auto-generated method stub
	}

}
