/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.core.commands;

import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.IProgressMonitor;
import org.vcs.bazaar.client.IBazaarClient;
import org.vcs.bazaar.client.core.BazaarClientException;
import org.vcs.bazaar.eclipse.CoreTexts;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;

/**
 * @author Guillermo Gonzalez
 * 
 */
public class NickCommand extends BazaarCommand {

	private IResource resource;
	private String nick;

	public NickCommand(IResource resource) {
		this.resource = resource;
	}

	public void run(IProgressMonitor monitor) throws BazaarException {
		try {
			monitor.beginTask(CoreTexts.NickCommand_nick, 1000);
			IBazaarClient client = getClient(resource.getProject());
			client.getNotificationHandler().disableLog();
			nick = client.nick(null);
			client.getNotificationHandler().enableLog();
		} catch (BazaarClientException e) {
			throw BazaarException.wrapException(e, resource);
		} finally {
			monitor.done();
		}
	}

	public String getNick() {
		return nick.split(System.getProperty("line.separator"))[0];
	}

}
