/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.core.commands;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.IProgressMonitor;
import org.vcs.bazaar.client.IBazaarClient;
import org.vcs.bazaar.client.core.BazaarClientException;
import org.vcs.bazaar.eclipse.CoreTexts;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;

/**
 * @author Guillermo Gonzalez
 *
 */
public class UnBindCommand extends ResourceChangeCommand {

	private IProject project;

	public UnBindCommand(IProject project) {
		this.project = project;
	}

	public IResource[] execute(IProgressMonitor monitor) throws BazaarException {
		try {
			monitor.beginTask(CoreTexts.UnBindCommand_taskName, 1000);
			IBazaarClient client = getClient(project);
			client.unBind();
		} catch (BazaarClientException e) {
			throw BazaarException.wrapException(e, project);
		} finally {
			monitor.done();
		}
		return new IResource[]{project};
	}

}
