/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.core.commands;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.IProgressMonitor;
import org.vcs.bazaar.client.IBazaarClient;
import org.vcs.bazaar.client.core.BazaarClientException;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;

/**
 * @author Guillermo Gonzalez
 *
 */
public class UpdateCommand extends ResourceChangeCommand {

	private IProject project;
	private String info;
	
	public UpdateCommand(IProject project) {
		super();
		this.project = project;
	}
	
	@Override
	public IResource[] execute(IProgressMonitor monitor) throws BazaarException {
		try {
			monitor.beginTask("Update command", 1000);
			IBazaarClient client = getClient(project);
			info = client.update(project.getLocation().toFile());
			return new IResource[]{project};
		} catch (BazaarClientException e) {
			throw BazaarException.wrapException(e);
		} finally {
			monitor.done();
		}
	}
	
	public String getOutputMessage() {
		return info;
	}


}
