/**
 * 
 */
package org.vcs.bazaar.eclipse.core.listeners;

import java.util.Collection;
import java.util.EventObject;

import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.Assert;

/**
 * @author Guillermo Gonzalez <guillo.gonzo@gmail.com>
 *
 */
public class BzrChangeStateEvent extends EventObject {

	private static final long serialVersionUID = -8717778902906138119L;

	private final Collection<IResource> resources;
	private final int type;
	
	public final static int RESOURCE_MODIFY = 0x00000001;
	public final static int WT_STATE_MODIFY = 0x00000004;
	public final static int BRANCH_STATE_MODIFY	= 0x000000010;
	
	public BzrChangeStateEvent(Object source, Collection<IResource> resources, int type) {
		super(source);
		Assert.isNotNull(resources);
		this.resources = resources;
		this.type = type;
	}
	
	public Collection<IResource> getResources() {
		return resources;
	}

	public int getType() {
		return type;
	}

}
