/**
 * LICENSE + COPYRIGHT 
 */
package org.vcs.bazaar.eclipse.core.listeners;

import org.eclipse.core.runtime.Preferences.IPropertyChangeListener;
import org.eclipse.core.runtime.Preferences.PropertyChangeEvent;
import org.vcs.bazaar.client.BazaarClientPreferences;
import org.vcs.bazaar.client.BazaarPreference;
import org.vcs.bazaar.client.IBazaarClient;
import org.vcs.bazaar.client.core.BazaarClientException;
import org.vcs.bazaar.client.xmlrpc.XmlRpcClient;
import org.vcs.bazaar.eclipse.EclipseBazaarCore;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;

/**
 * @author Guillermo Gonzalez TODO: Test me
 */
public class PreferenceChangeListener implements IPropertyChangeListener {

	public PreferenceChangeListener() {
		super();
	}

	public void propertyChange(PropertyChangeEvent event) {
		if (BazaarPreference.EXECUTABLE.name().equals( event.getProperty() )) {
			BazaarClientPreferences.getInstance().set(BazaarPreference.EXECUTABLE, event.getNewValue().toString());
		} else if (BazaarPreference.BZR_PLUGIN_PATH.name().equals( event.getProperty() )) {
			BazaarClientPreferences.getInstance().set(BazaarPreference.BZR_PLUGIN_PATH, event.getNewValue().toString());
		} else if (BazaarPreference.BZR_EMAIL.name().equals( event.getProperty() )) {
			BazaarClientPreferences.getInstance().set(BazaarPreference.BZR_EMAIL, event.getNewValue().toString());
		} else if (BazaarPreference.BZR_XMLRPC_PORT.name().equals( event.getProperty() )) {
			String port = BazaarClientPreferences.getInstance().getString(BazaarPreference.BZR_XMLRPC_PORT);
			if(port != null && !port.equals(event.getNewValue().toString())) {
				try {
					final IBazaarClient client = EclipseBazaarCore.getDefault().createClient();
					if(client instanceof XmlRpcClient) {
						((XmlRpcClient)client).stopXmlRpcService();
					}
				} catch (BazaarException e) {
					EclipseBazaarCore.log(e);
				} catch (BazaarClientException e) {
					EclipseBazaarCore.log(e.getMessage(), e);
				}
				try {
					// create a new client to start the xmlrpc service with the new port
					BazaarClientPreferences.getInstance().set(BazaarPreference.BZR_XMLRPC_PORT, event.getNewValue().toString());
					EclipseBazaarCore.getDefault().createClient();
				} catch (BazaarException e) {
					EclipseBazaarCore.log(e);
				}
			}
			
		}
		EclipseBazaarCore.getDefault().savePluginPreferences();
		EclipseBazaarCore.getDefault().updateClientPreferences();
	}

}
