package org.vcs.bazaar.eclipse.core.log;

import java.util.List;

import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;
import org.vcs.bazaar.client.IBazaarLogMessage;
import org.vcs.bazaar.eclipse.BzrWorkspaceRoot;
import org.vcs.bazaar.eclipse.EclipseBazaarCore;
import org.vcs.bazaar.eclipse.core.commands.LogCommand;
import org.vcs.bazaar.eclipse.core.model.IBzrResource;

public class LogUpdater {

	List<IBazaarLogMessage> fetchLog(IBzrResource resource, IProgressMonitor monitor) throws CoreException {
		IProgressMonitor subMonitor = EclipseBazaarCore.subProgressMonitorFor(monitor);
		LogCommand lcmd = new LogCommand(resource);
		lcmd.run(subMonitor);
		return lcmd.getLogMessages();
	}
	
	List<IBazaarLogMessage> fetchLog(IResource resource, IProgressMonitor monitor) throws CoreException {
		return fetchLog(BzrWorkspaceRoot.getBzrResourceFor(resource), monitor);
	}
}
