package org.vcs.bazaar.eclipse.core.log;

import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.vcs.bazaar.client.IBazaarLogMessage;

/**
 * This class will just be stupid (in memory and startagy terms), it 'll fetch the log
 * using the limit defined in the preferences if there is no limit defined, it fetch 
 * the entire log.
 * 
 * @note: to make it less memory hungry, it not use verbose format.
 *   
 * @author Guillermo Gonzalez <guillo.gonzo@gmail.com>
 *
 */
public class NaiveCache implements ILogCache {

	private Map<Object, List<IBazaarLogMessage>> cache = new HashMap<Object, List<IBazaarLogMessage>>(1000, 10);
	
	public List<IBazaarLogMessage> get(Object resource) {
		final List<IBazaarLogMessage> logs = cache.get(resource);
		if(logs == null) {
			return Collections.emptyList();
		}
		return logs;
	}
	
	public IBazaarLogMessage getLast(Object resource) {
		final List<IBazaarLogMessage> logs = get(resource);
		if(logs.size() > 0) {
			return logs.get(0);
		}
		return null;
	}
	
	public List<IBazaarLogMessage> add(Object resource, List<IBazaarLogMessage> logs) {
		cache.put(resource, logs);
		return logs;
	}
	
	public void remove(Object resource) {
		cache.get(resource);
	}

	public void purgeCache(Object root) {
		final List<IBazaarLogMessage> logs = cache.get(root);
		if(logs != null) {
			logs.clear();
			cache.remove(root);
		}
	}
	
}
