/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.core.model;

import org.vcs.bazaar.client.BazaarStatusKind;
import org.vcs.bazaar.client.IBazaarStatus;
import org.vcs.bazaar.eclipse.core.model.local.IBzrLocalResource;

/**
 * @author Guillermo Gonzalez
 * 
 */
public interface IBzrResourceStatus {

	public IBzrLocalResource getResource();

	public IBazaarStatus getStatus();

	public boolean contains(BazaarStatusKind kind);
	
	public boolean isAdded();
	public boolean isDeleted();
	public boolean isKindChange();
	public boolean isHasConflicts();
	public boolean isModified();
	public boolean isPendingMerge();
	public boolean isRenamed();
	public boolean isUnchanged();
	public boolean isUnknown();
	public boolean isUnversioned();
	public boolean isVersioned();
	public boolean isXBitChanged();
	public boolean isIgnored();
}
