/**
 * 
 */
package org.vcs.bazaar.eclipse.core.utils;

import org.eclipse.core.resources.IResource;

/**
 * @author Guillermo Gonzalez <guillo.gonzo at gmail dot com>
 *
 */
public class TracingUtils {
	
	private static int counter = 0;

	public static void trace(final String what, Object... objects) {
		switch (objects.length) {
		case 0:			
			System.out.println(what + " - " + System.currentTimeMillis() + " - " +counter);
			break;
		default:
			final StringBuilder sb = new StringBuilder(objects.length * 10);
			sb.append(what);
			for (Object object : objects) {
				sb.append(object).append(", ");
			}
			System.out.println(sb.toString() + " - " + System.currentTimeMillis() + " - " +counter);
			break;
		}
		counter++;
	}

	public static void trace(final String what, final IResource resource) {
		final StringBuilder sb = new StringBuilder();
		sb.append(what).append(resource.getName());
		System.out.println(sb.toString() + " - " + counter);
		counter++;
	}

	public static void trace(final String what, final IResource[] resources) {
		final StringBuilder sb = new StringBuilder(resources.length * 10);
		sb.append(what);
		for (IResource resource : resources) {
			sb.append(resource.getName()).append(", ");
		}
		System.out.println(sb.toString() + " - " + counter);
		counter++;
	}

}
