/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.internal.core.model;

import java.util.List;
import java.util.Map;

import org.vcs.bazaar.client.IBazaarLogMessage;
import org.vcs.bazaar.eclipse.core.model.IBzrMissingRevisions;

/**
 * @author Guillermo Gonzalez
 *
 */
public class BzrMissingRevisions implements IBzrMissingRevisions {
	
	private final Map<String, List<IBazaarLogMessage>> map;
	
	public BzrMissingRevisions(Map<String, List<IBazaarLogMessage>> missing) {
		super();
		this.map = missing;
	}
	
	public List<IBazaarLogMessage> getExtraRevisions() {
		return map.get("MINE");
	}
	
	public List<IBazaarLogMessage> getMissingRevisions() {
		return map.get("OTHER");
	}
}
