/**
 * 
 */
package org.vcs.bazaar.eclipse.ui.actions;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.team.core.history.provider.FileRevision;
import org.eclipse.ui.actions.BaseSelectionListenerAction;
import org.vcs.bazaar.eclipse.core.resources.IStorageBazaarRevision;

public abstract class AbstractCompareAction extends BaseSelectionListenerAction {

	protected AbstractCompareAction(String text) {
		super(text);
	}
	
	@Override
	public void run() {
		internalRun();
	}

	protected abstract void internalRun();

	@Override
	protected boolean updateSelection(IStructuredSelection selection) {
		return shouldShow(selection);
	}

	protected abstract boolean shouldShow(IStructuredSelection selection);
	
	protected IStorageBazaarRevision getStorage(int selectionIdx) throws CoreException {
		IStructuredSelection selection = getStructuredSelection();
		Object[] revs = selection.toArray();
		if (selectionIdx >= revs.length)
			return null;
		FileRevision rev = (FileRevision) revs[selectionIdx];
		return (IStorageBazaarRevision) rev.getStorage(null);
	}
}