/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.ui.actions;

import org.eclipse.core.resources.IResource;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;
import org.vcs.bazaar.eclipse.ui.operations.DiffOperation;


/**
 * 
 * @author Guillermo Gonzalez <guillo.gonzo AT gmail DOT com>
 *
 */
public class DiffAction extends WorkbenchAction {

	public DiffAction() {
		super();
	}
	
	/**
	 * The action has been activated. The argument of the method represents the
	 * 'real' action sitting in the workbench UI.
	 * 
	 * @see IWorkbenchWindowActionDelegate#run
	 */
	public void execute(IAction action) {
		// TODO: this should be implemented as a compare/replace from repository
		try {
			IResource[] resources = (IResource[])getSelectedResources(IResource.FILE);
			if(resources != null && resources.length == 1)
				DiffOperation.openSaveableEditor(resources[0], getActivePage());
		} catch(Exception e) {
			MessageDialog.openError(getParentShell(), "An unexpected error ocurred", e.getMessage());
		}
	}

	@Override
	protected boolean isEnabledForMultipleResources() {
		return false;
	}

	@Override
	protected boolean isEnabledByType(IResource resource) {
		return resource.getType() == IResource.FILE;
	}
	
	@Override
	protected boolean isEnabledForUnmanagedResources() {
		return false;
	}

	@Override
	protected boolean isEnabledForAddedResources() {
		return false;
	}

	@Override
	protected boolean isEnabledForUnmodifiedResources() {
		return false;
	}
}
