/**
 * org.vcs.bazaar.eclipse (c) Vectrace Feb 8, 2006
 * Created by zingo
 */
package org.vcs.bazaar.eclipse.ui.actions;

import java.lang.reflect.InvocationTargetException;

import org.eclipse.core.runtime.NullProgressMonitor;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;
import org.vcs.bazaar.eclipse.BzrWorkspaceRoot;
import org.vcs.bazaar.eclipse.core.commands.RemoveCommand;
import org.vcs.bazaar.eclipse.core.model.local.IBzrLocalResource;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;
import org.vcs.bazaar.eclipse.ui.decorator.BazaarLightweightDecorator;

/**
 * @author zingo TODO: Test and split into Operation and Action
 */
public class RemoveAction extends WorkbenchAction {

	/**
	 * The action has been activated. The argument of the method represents the
	 * 'real' action sitting in the workbench UI.
	 * 
	 * @throws BazaarException
	 * 
	 * @see IWorkbenchWindowActionDelegate#run
	 */
	public void execute(IAction action) throws BazaarException, InvocationTargetException, InterruptedException {
		IBzrLocalResource[] bzrResources = BzrWorkspaceRoot.getBzrResourcesFor(getSelectedResources());
		RemoveCommand cmd = new RemoveCommand(bzrResources);
		if (bzrResources.length == 1 && MessageDialog.openConfirm(getShell(), "Remove File?", "Are you sure you want to make the file: " + bzrResources[0].getName() +
						" unversioned?")) {
			cmd.run(new NullProgressMonitor());
		} else if (bzrResources.length > 1 && MessageDialog.openConfirm(getShell(), "Remove File?", "Are you sure you want to make these " + bzrResources.length + " files" +
				" unversioned?")) {
			cmd.run(new NullProgressMonitor());
		}
		BazaarLightweightDecorator.refresh();
	}
	
	@Override
	protected boolean isEnabledForUnmanagedResources() {
		return false;
	}

}
