/*******************************************************************************
 * Copyright (c) 2004, 2006 Subclipse project and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Subclipse project committers - initial API and implementation
 * Modified by: 
 * 	   Guillermo Gonzalez
 ******************************************************************************/
package org.vcs.bazaar.eclipse.ui.annotaions;

import java.io.InputStream;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.NullProgressMonitor;
import org.eclipse.team.core.TeamException;
import org.eclipse.ui.IStorageEditorInput;
import org.eclipse.ui.model.IWorkbenchAdapter;
import org.vcs.bazaar.eclipse.core.model.local.IBzrLocalResource;
import org.vcs.bazaar.eclipse.ui.editor.BazaarFileEditorInput;

/**
 * An editor input for a cvs annotation response
 */
public class AnnotationEditorInput extends BazaarFileEditorInput implements IWorkbenchAdapter, IStorageEditorInput {

	InputStream contents;
	
	public AnnotationEditorInput(IBzrLocalResource file, InputStream contents) {
		super(file,new NullProgressMonitor());
		this.contents = contents;
	}

	protected void initializeStorage(IBzrLocalResource file, IProgressMonitor monitor) throws TeamException {
		if (contents != null) {
			storage = new AnnotationStorage(file, contents);
		}
	}
}
