/*******************************************************************************
 * Copyright (c) 2004, 2006 Subclipse project and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Subclipse project committers - initial API and implementation
 ******************************************************************************/
package org.vcs.bazaar.eclipse.ui.annotaions;

import java.io.IOException;
import java.io.InputStream;

import org.eclipse.core.resources.IEncodedStorage;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IPath;
import org.eclipse.core.runtime.PlatformObject;
import org.vcs.bazaar.eclipse.core.model.local.IBzrLocalResource;
import org.vcs.bazaar.eclipse.ui.EclipseBazaarUI;

public class AnnotationStorage extends PlatformObject implements IEncodedStorage  {

	private InputStream contents;
	private IBzrLocalResource file;
	
	public AnnotationStorage(IBzrLocalResource file, InputStream contents) {
		this.file = file;
		this.contents = contents;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.core.resources.IStorage#getContents()
	 */
	public InputStream getContents() throws CoreException {
		try {
			// Contents are a ByteArrayInputStream which can be reset to the beginning
			contents.reset();
		} catch (IOException e) {
			EclipseBazaarUI.log(e.getMessage(), e);
		}
		return contents;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.core.resources.IEncodedStorage#getCharset()
	 */
	public String getCharset() throws CoreException {
//		InputStream contents = getContents();
//		try {
//			String charSet = EclipseBazaarUI.getCharset(getName(), contents);
//			return charSet;
//		} catch (IOException e) {
//			throw new BazaarException(new Status(IStatus.ERROR, EclipseBazaarUI.getPluginId(), IResourceStatus.FAILED_DESCRIBING_CONTENTS, UITexts.bind("AnnotationStorage.1", getFullPath().toString()), e)); //$NON-NLS-1$
//		} finally {
//			try {
//				contents.close();
//			} catch (IOException e1) {
//				// Ignore
//			}
//		}
		// TODO: implement the way to get the charset of the getContents() stream
		return null;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.core.resources.IStorage#getFullPath()
	 */
	public IPath getFullPath() {
		return file.getBranch().getPath().append(file.getBranchRelativePath());
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.eclipse.core.resources.IStorage#getName()
	 */
	public String getName() {
		return file.getName();
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.eclipse.core.resources.IStorage#isReadOnly()
	 */
	public boolean isReadOnly() {
		return true;
	}
}
