/**
 * 
 */
package org.vcs.bazaar.eclipse.ui.compare;

import org.eclipse.compare.IStreamContentAccessor;
import org.eclipse.compare.ITypedElement;
import org.eclipse.compare.ResourceNode;
import org.eclipse.core.resources.IResource;
import org.vcs.bazaar.eclipse.BzrWorkspaceRoot;
import org.vcs.bazaar.eclipse.core.model.IBzrResource;
import org.vcs.bazaar.eclipse.core.model.local.IBzrLocalResource;

/**
 * @author Guillermo Gonzalez <guillo.gonzo AT gmail DOT com>
 *
 */
public class BazaarResourceNode extends ResourceNode implements IStreamContentAccessor, ITypedElement {

	private IBzrLocalResource bzrResource;

	public BazaarResourceNode(IBzrLocalResource resource) {
		super(resource.getIResource());
		this.bzrResource = resource;
	}
	
	public BazaarResourceNode(IResource resource) {
		super(resource);
		this.bzrResource = BzrWorkspaceRoot.getBzrResourceFor(resource);
	}
	
	public IBzrResource getBzrResource() {
		return bzrResource;
	}
	
}
