/*******************************************************************************
 * Copyright (c) 2006 Subclipse project and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Subclipse project committers - initial API and implementation
 * Modified by:
 * 	   Guillermo Gonzalez
 ******************************************************************************/
package org.vcs.bazaar.eclipse.ui.console;

import org.eclipse.ui.console.ConsolePlugin;
import org.eclipse.ui.console.IConsole;
import org.eclipse.ui.console.IConsoleFactory;
import org.eclipse.ui.console.IConsoleManager;
import org.vcs.bazaar.eclipse.ui.EclipseBazaarUI;

public class BzrOutputConsoleFactory implements IConsoleFactory {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.ui.console.IConsoleFactory#openConsole()
	 */
	public void openConsole() {
		showConsole();
	}

	public static void showConsole() {
		BzrOutputConsole console = EclipseBazaarUI.getDefault().getConsole();
		if (console != null) {
			IConsoleManager manager = ConsolePlugin.getDefault().getConsoleManager();
			boolean exists = false;
			for (IConsole existing : manager.getConsoles()) {
				if (console == existing)
					exists = true;
			}
			if (!exists)
				manager.addConsoles(new IConsole[] { console });
			manager.showConsoleView(console);
		}
	}

	public static void closeConsole() {
		IConsoleManager manager = ConsolePlugin.getDefault().getConsoleManager();
		BzrOutputConsole console = EclipseBazaarUI.getDefault().getConsole();
		if (console != null) {
			manager.removeConsoles(new IConsole[] { console });
			ConsolePlugin.getDefault().getConsoleManager().addConsoleListener(console.new MyLifecycle());
		}
	}
}