/**
 * 
 */
package org.vcs.bazaar.eclipse.ui.decorator;

import org.vcs.bazaar.client.BazaarStatusKind;
import org.vcs.bazaar.client.IBazaarStatus;

/**
 * @author Guillermo Gonzalez <guillo.gonzo AT gmail DOT com>
 *
 */
public abstract class DecoratorResources {

	public static final BazaarStatusKind getStatusFlagKind(IBazaarStatus status) {
		if(status == null)
			return null;
		if (status.contains(BazaarStatusKind.HAS_CONFLICTS)) {
			return BazaarStatusKind.HAS_CONFLICTS;
		}
		if (status.contains(BazaarStatusKind.RENAMED) && status.contains(BazaarStatusKind.MODIFIED)) {
			return BazaarStatusKind.RENAMED;
		}
		if (status.contains(BazaarStatusKind.MODIFIED)) {
			return BazaarStatusKind.MODIFIED;
		}
		if (status.contains(BazaarStatusKind.CREATED)) {
			return BazaarStatusKind.CREATED;
		}
		if (status.contains(BazaarStatusKind.DELETED)) {
			return BazaarStatusKind.DELETED;
		}
		if (status.contains(BazaarStatusKind.UNKNOWN)) {
			return BazaarStatusKind.UNKNOWN;
		}
		if (status.contains(BazaarStatusKind.UNCHANGED)) {
			return BazaarStatusKind.UNCHANGED;
		}
		if (status.contains(BazaarStatusKind.RENAMED)) {
			return BazaarStatusKind.RENAMED;
		}
		if (status.contains(BazaarStatusKind.NONE)) {
			return BazaarStatusKind.NONE;
		}
		return BazaarStatusKind.NONE;
	}
	
}
