/**
 * Copyright (C) 2009 Canonical Ltd
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */
package org.vcs.bazaar.eclipse.ui.dialogs;

import java.util.Map.Entry;

import org.eclipse.core.resources.IResource;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

/**
 * 
 * @authors Javier Der Derian<br>
 *          Guillermo Gonzalez <guillo.gonzo@gmail.com>
 * @BasedOn CommitResourceLabelProvider from BzrEclipse
 */
public final class IgnoredFilesLabelProvider extends LabelProvider implements ITableLabelProvider {

    public Image getColumnImage(Object element, int columnIndex) {
        // No images.
        return null;
    }

    public String getColumnText(Object element, int columnIndex) {
        Entry<IResource, String> entry = (Entry<IResource, String>) element;
        switch (columnIndex) {
        case 0:
            return entry.getKey().getProjectRelativePath().toString();
        case 1:
            return entry.getValue();
        default:
            return "N/A";
        }

    }
}
