/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.ui.history;

import org.eclipse.core.resources.IFile;
import org.eclipse.core.resources.IResource;
import org.eclipse.team.core.RepositoryProvider;
import org.eclipse.team.ui.history.HistoryPageSource;
import org.eclipse.ui.part.Page;
import org.vcs.bazaar.eclipse.core.history.BazaarHistoryProvider;
import org.vcs.bazaar.eclipse.core.repository.BazaarTeamProvider;

/**
 * 
 * @author Guillermo Gonzalez
 * 
 */
public class BazaarHistoryPageSource extends HistoryPageSource {
	private final BazaarHistoryProvider fileHistoryProvider;

	public BazaarHistoryPageSource(BazaarHistoryProvider fileHistoryProvider) {
		this.fileHistoryProvider = fileHistoryProvider;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.team.ui.history.IHistoryPageSource#canShowHistoryFor(java.lang.Object)
	 */
	public boolean canShowHistoryFor(Object object) {
		if (object instanceof IResource && ((IResource) object).getType() == IResource.FILE) {
			RepositoryProvider provider = RepositoryProvider.getProvider(((IFile) object).getProject());
			if (provider instanceof BazaarTeamProvider) {
				return true;
			}
		}
		return false;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.team.ui.history.IHistoryPageSource#createPage(java.lang.Object)
	 */
	public Page createPage(Object object) {
		if (object instanceof IResource && ((IResource) object).getType() == IResource.FILE) {
			return new BazaarHistoryPage((IResource) object);
		}
		return null;
	}

}
