/**
 * 
 */
package org.vcs.bazaar.eclipse.ui.preferences;

import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.IntegerFieldEditor;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.vcs.bazaar.eclipse.IBazaarCoreConstants;
import org.vcs.bazaar.eclipse.ui.EclipseBazaarUI;
import org.vcs.bazaar.eclipse.ui.UITexts;

/**
 * 
 * @author Guillermo Gonzalez <guillo.gonzo@gmail.com>
 * 
 */
public class BazaarPerformancePreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage {

//	private BooleanFieldEditor deepDecorations;
	private IntegerFieldEditor logLimit;
	private BooleanFieldEditor actionCheck;

	public BazaarPerformancePreferencePage() {
		super(GRID);
		setPreferenceStore(EclipseBazaarUI.getDefault().getPreferenceStore());
	}

	public void init(IWorkbench workbench) {
	}

	@Override
	protected void createFieldEditors() {
		// log revision limit
		logLimit = new IntegerFieldEditor(IBazaarCoreConstants.LOG_REVISION_LIMIT, UITexts.BazaarPerformancePreferencesPage_log_limit, getFieldEditorParent(), 50);
		addField(logLimit);
		//compute deep decoration (slow on big projects)
//		deepDecorations = new BooleanFieldEditor(BazaarPreferenceConstants.DEEP_DECORATION, UITexts.BazaarPerformancePreferencesPage_deep_decoration, getFieldEditorParent());
//		addField(deepDecorations);
		// check action availability (popup menu)
		actionCheck = new BooleanFieldEditor(BazaarPreferenceConstants.CHECK_ACTION_AVAILABILITY, UITexts.BazaarPerformancePreferencesPage_check_action_availability, getFieldEditorParent());
		addField(actionCheck);
	}

	protected void performDefaults() {
		super.performDefaults();
		logLimit.loadDefault();
//		deepDecorations.loadDefault();
		actionCheck.loadDefault();
	}

	public boolean performOk() {
		logLimit.store();
//		deepDecorations.store();
		actionCheck.store();
//		BazaarLightweightDecorator.refresh();
		EclipseBazaarUI.getDefault().savePluginPreferences();
		return super.performOk();
	}

}
