/**
 * 
 */
package org.vcs.bazaar.eclipse.ui.preferences;

import org.eclipse.core.runtime.Preferences;
import org.eclipse.jface.util.IPropertyChangeListener;
import org.eclipse.jface.util.PropertyChangeEvent;
import org.vcs.bazaar.client.BazaarPreference;
import org.vcs.bazaar.eclipse.EclipseBazaarCore;
import org.vcs.bazaar.eclipse.IBazaarCoreConstants;

/**
 * Listen to changes in the preferenceStore and set the corresponding values in
 * the Core Plugin.
 * 
 * @author Guillermo Gonzalez
 * 
 */
public class PreferenceStoreChangeListener implements IPropertyChangeListener {

	public void propertyChange(PropertyChangeEvent event) {
		Preferences prefs = EclipseBazaarCore.getDefault().getPluginPreferences();
		if (BazaarPreference.EXECUTABLE.name().equals( event.getProperty() )) {
			prefs.setValue(BazaarPreference.EXECUTABLE.name(), (String) event.getNewValue());
		} else if (BazaarPreference.BZR_PLUGIN_PATH.name().equals( event.getProperty() )) {
			prefs.setValue(BazaarPreference.BZR_PLUGIN_PATH.name(), (String) event.getNewValue());
		} else if (BazaarPreference.BZR_EMAIL.name().equals( event.getProperty() )) {
			prefs.setValue(BazaarPreference.BZR_EMAIL.name(), (String) event.getNewValue());
		} else if (BazaarPreference.BZR_XMLRPC_PORT.name().equals( event.getProperty() )) {
			prefs.setValue(BazaarPreference.BZR_XMLRPC_PORT.name(), ((Integer)event.getNewValue()).intValue());
		} else if(IBazaarCoreConstants.LOG_REVISION_LIMIT.equals( event.getProperty() )) {
			prefs.setValue(IBazaarCoreConstants.LOG_REVISION_LIMIT, ((Integer)event.getNewValue()).intValue());
		} else if(IBazaarCoreConstants.USE_BUNDLED_PLUGINS.equals( event.getProperty() )) {
            prefs.setValue(IBazaarCoreConstants.USE_BUNDLED_PLUGINS, ((Boolean)event.getNewValue()).booleanValue());
        }
	}

}
