/**
 * COPYRIGHT + LICENSE
 */
package org.vcs.bazaar.eclipse.ui.repository;

import org.eclipse.core.runtime.IAdapterFactory;
import org.eclipse.team.ui.history.IHistoryPageSource;
import org.vcs.bazaar.eclipse.core.history.BazaarHistoryProvider;
import org.vcs.bazaar.eclipse.core.model.IBzrResource;
import org.vcs.bazaar.eclipse.core.repository.BazaarTeamProvider;
import org.vcs.bazaar.eclipse.ui.history.BazaarHistoryPageSource;

/**
 * @author Guillermo Gonzalez
 * 
 */
public class BazaarAdapterFactory implements IAdapterFactory {

	@SuppressWarnings("unchecked")
	public Object getAdapter(Object adaptableObject, Class adapterType) {
		if (adaptableObject instanceof BazaarTeamProvider) {
			if(adapterType == IHistoryPageSource.class) { 
				return new BazaarHistoryPageSource((BazaarHistoryProvider) ((BazaarTeamProvider) adaptableObject).getFileHistoryProvider());
			}
		} else if(!(adaptableObject instanceof IBzrResource)) {
			return null;
		}
		return null;
	}


	@SuppressWarnings("unchecked")
	public Class[] getAdapterList() {
		return new Class[] { IHistoryPageSource.class, BazaarHistoryPageSource.class };
	}

}
