package org.vcs.bazaar.eclipse.ui.views;

import org.eclipse.core.runtime.IConfigurationElement;
import org.eclipse.ui.part.ViewPart;
import org.vcs.bazaar.eclipse.EclipseBazaarCore;
import org.vcs.bazaar.eclipse.core.listeners.IResourceStateListener;

/**
 * @author Guillermo Gonzalez
 *
 */
public abstract class BazaarView extends ViewPart implements IResourceStateListener {

	protected boolean checkIfPageIsVisible() {
		return getSite() != null && getSite().getPage().isPartVisible(this);
	}

	@Override
	public void setInitializationData(IConfigurationElement cfig, String propertyName, Object data) {
		super.setInitializationData(cfig, propertyName, data);
		EclipseBazaarCore.addResourceStateListener(this);
	}

	@Override
	public void dispose() {
		EclipseBazaarCore.removeResourceStateListener(this);
		super.dispose();
	}

	public abstract void setInput(Object object);


}
