/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.ui.wizards;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.wizard.WizardPage;
import org.vcs.bazaar.eclipse.ui.EclipseBazaarUI;

/**
 * This wizard page, by default set the bzr-eclipse logo in the titleImage.
 *  
 * @author Guillermo Gonzalez <guillo.gonzo at gmail dot com>
 */
public abstract class BzrWizardPage extends WizardPage {
	
	private final static String BZRECLIPSE_LOGO_IMAGE_LOCATION = "icons/bzr-eclipse.jpg";
	private final static ImageDescriptor titleImage = EclipseBazaarUI.getImageDescriptor(BZRECLIPSE_LOGO_IMAGE_LOCATION);

	public BzrWizardPage(String pageName) {
		super(pageName);
		setImageDescriptor(getTitleImage());
	}
	
	public BzrWizardPage(String pageName, String title, ImageDescriptor titleImage) {
		super(pageName, title, titleImage);
	}

	public static ImageDescriptor getTitleImage() {
		return titleImage;
	}

}
